Free Support Forum - aspose.com

Visual Studio 2010 / .NET 4.0 support across Aspose.Total

Hey,

My company uses Aspose.Total (specifically Words, Cells, Slides, Pdf, Pdf.Kit, Network) in our software.

We will be upgrading to VS2010 and .NET 4.0 soon. When will .NET 4.0 compatible versions of the above software be certified and released.

Thanks in advance,


Adam

Hello Adam,

Thanks for using our products.

I am a representative from Aspose.Pdf for .NET team. I have tried using Aspose.Pdf for .NET with Visual Studio 2010 and .NET Framework 4.0 and I am sorry to inform you that its currently not supported over it. For the sake of correction, I have logged it in our issue tracking system as PDFNET-16387. We will investigate this issue in details and will keep you updated on the status of a correction. <?xml:namespace prefix = o ns = "urn:schemas-microsoft-com:office:office" />

We apologize for your inconvenience.

Hi Adam,


I represent Aspose.Network for .NET. I did some test with Visual Studio 2010 and .NET Framework 4.0 and did not find any problem.

Hi Adam,

I represent Aspose.Pdf.Kit for .NET and I would like to share that we need to test it with .NET Framework 4.0. The issue is logged as PDFKITNET-15844 in our issue tracking system. We’ll test it at our end and update you accordingly.

We’re sorry for the inconvenience.
Regards,

Hi,

I will reply on the behalf of Aspose.Cells for .NET product. Aspose.Cells for .NET does support .NET Framework 4.0 / VS.NET 2010 as we have already tested it and it works fine. So, you may use the product on your underlying framework.

For reference, see the document:
http://www.aspose.com/documentation/.net-components/aspose.cells-for-.net/system-requirements.html

If you still find any issue using Aspose.Cells for .NET on .NET Framework 4.0, let us know. We will be happy to sort it out.

Thank you.

Hello,

We are also looking into upgrading to VS 2010 and .Net 4.0. We use the following Aspose Components:

PDF
PDF.Ket
Barcodes
Words

It looks like PDF and PDF Kit need some work before they are supported. What about Barcodes and Words?

Thanks!

Don Tompkins
Databound Solutions

Hi Don,

We are working on Aspose.BarCode for .NET to make it work with VS 2010 and .NET framework 4.0. I will update you as soon as it is supported.

Hi Adam,

I am representative of Aspose.Slides. I have verified the working of Aspose.Slides for .NET 4.1.1 with Visual Studio 2010 with .NET framework 4.0 and found the product compatible the said development environment. Please feel free to share your issues.

Thanks and Regards,

Hi,

Thanks for using our products.

We just have released an updated version of Aspose.Pdf for .NET which is compatible with Visual Studio 2010 (supports .NET Framework 4.0 and .NET Framework 4.0 Client profile). You can access this version from here. Please try using it and in case you still face any problem or you have any further query, please feel free to contact.

Thanks for your time and cooperation.

Hi Adam,

Please find attached the hot fix which can be used with Visual Studio 2010 and .NET Framework 4.0. Please try it at your end and see if it works well. This fix will be included in our upcoming version due at the end of this month.

If you have any further questions, please do let us know.
Regards,

The issues you have found earlier (filed as 16387) have been fixed in this update.


This message was posted using Notification2Forum from Downloads module by aspose.notifier.
(2)